Xyce on macOS Sierra

Xyce is a great free simulator. I recently tried to fire it up on macOS Sierra and ran into a dependency issue. I want to use the Open MPI version to take advantage of multiple cores. The version of Open MPI installed on my system is at a different path and a different version compared to the one Xyce was compiled with. Fortunately, on macOS there’s an easy work around:

otool -L /usr/local/Xyce-Release-6.5.0-OPENMPI-OPENSOURCE/bin/Xyce
install_name_tool -change \
  /opt/openmpi/x86_64-icc-12.1/1.8.2/lib/libmpi_cxx.1.dylib \
  /usr/local/opt/open-mpi/lib/libmpi_cxx.dylib \
  /usr/local/Xyce-Release-6.5.0-OPENMPI-OPENSOURCE/bin/Xyce
install_name_tool -change \
  /opt/openmpi/x86_64-icc-12.1/1.8.2/lib/libmpi.1.dylib \
  /usr/local/opt/open-mpi/lib/libmpi.dylib \
  /usr/local/Xyce-Release-6.5.0-OPENMPI-OPENSOURCE/bin/Xyce

It seems to run fine now.